Description: Bonjour Alexis Bienvenue.

Tout d'abord merci pour AMC: je suis prof de physique chimie et j'ai désormais plaisir à donner des interros 
de cours à mes élèves!!..
Une petite question: en physique chimie nous utilisons beaucoup la notation scientifique (un réel * puissance 
de dix); avez vous prévu dans une mise à jour de pouvoir coder une écriture scientifique dans 
amcnumericchoices ? Ce serait génial.
Très cordialement.
Sébastien DENIS

History
02/08/2017 08:18 pm - DENIS Sébastien
Une autre question: est-ce que la commande \explain fonctionne dans les corrigés individuels? Je n'arrive pas à la faire aparaitre

02/09/2017 03:40 pm - Frédéric Bréal
Bonjour

> Une autre question: est-ce que la commande \explain fonctionne dans les corrigés individuels? Je n'arrive pas à la faire aparaitre

Une personne m'a répondu sur ce forum avec cette technique.

* *Attention à bien sauvegarder le fichier sty avant manipulation.*
* *Cette manipulation doit être fait à chaque mise à jour* et le numéro de la ligne peut varier.
* Lancez un terminal, la commande si vous êtes sous ubuntu :

<pre>
sudo gedit  /usr/share/texmf/tex/latex/AMC/automultiplechoice.sty
</pre>

* ligne 956 enlever head de correchead*

<pre>

\newcommand{\explain}[1]{
\ifAMC@correchead
  \AMCif@env{question}{\par\noindent{\AMC@loc@explain #1}}{\AMC@error@explain}\vspace{1ex}
</pre>

* enregistrez.

> pouvoir coder une écriture scientifique dans amcnumericchoices

J'ai essayé il y a 2 ans de faire ceci avec les incertitudes de mesures avec un voltmètre (électricité 4). On peut remplacé @tabularx@ par 
@minpiage@.
Finalement, je ne l'ai pas fait à cause des difficultés des élèves à calculer un pourcentage et choisir un nb de chiffres significatifs (puis le codage cela 
faisait trop pour un seul calcul).
Je me limite à leur imposer un ou deux chiffres significatifs en sachant correctement arrondir.

<pre>
\documentclass[12pt,a4paper,frenchb]{article}
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage[francais,bloc,outsidebox]{automultiplechoice}
\geometry{hmargin=1.5cm,headheight=3cm,headsep=0.3cm,footskip=1cm,top=2.5cm,bottom=2cm,heightrounded}
\usepackage{tabularx,array}

\usepackage{fp}

\usepackage{babel}

%pour effacer le numéro 
\def\EffacementNumeroQuestion{\def\AMCbeginQuestion##1##2{}\AMCquestionNumberfalse}

\begin{document}

\onecopy{1}{

{\centering \champnom{\fbox{\begin{minipage}{0.98\linewidth}
\begin{center}
Nom et prénom et classe et code :
\end{center}
               \vspace*{.1cm}\dotfill\vspace*{1mm}\end{minipage} }}}\medskip

\begin{tabularx}{\linewidth}{XcX}

\begin{questionmultx}{A}
\AMCnumericChoices{12.5}{digits=3,decimals=1,exact=1,scoreexact=1,approx=2,scoreapprox=.5,sign=false,vertical=false,
borderwidth=.2mm,bordercol=gray,hspace=.2ex,vspace=0em,reverse=false,Tpoint={\Large$\prime$\vspace*{-.1em}}}
\end{questionmultx}
&
${\Huge \pm}$
&
\EffacementNumeroQuestion

\begin{questionmultx}{B}
\AMCnumericChoices{.27}{digits=3,decimals=1,exact=1,scoreexact=1,approx=2,scoreapprox=.5,sign=false,vertical=false,
borderwidth=.2mm,bordercol=gray,hspace=.2ex,vspace=0em,reverse=false,Tpoint={\Large$\prime$\vspace*{-.1em}}}
\end{questionmultx}
\end{tabularx}
}

\end{document}

</pre>

02/11/2017 08:42 am - DENIS Sébastien
Mais......... CA MARCHE!!!
un grand merci
Une dernière petite question:
La commande explain apparait systématiquement que l'élève ai juste ou faus je positionne la commande \explain juste après la commande 
\end{reponse}
Y a t'il y moyen de ne la fzaire apparaitre qu'en cs de mauvaises réponses.

Pour les puissances de dix je vais adapter le code je suis en train de préparer un qcm sur les notations scientifiques et chiffres significatifs.
Encore un grand merci

02/11/2017 11:34 am - DENIS Sébastien
REbonjour
Une question concernant le bareme . est il possible de réunir les baremes des deux amcnumericchoices? A part recréer un tableau csv ou je multiplie 
les deux résultats.. je ne vois pas de solutions
Merci

02/11/2017 05:44 pm - Frédéric Bréal

>est il possible de réunir les baremes des deux amcnumericchoices
Je pense que non car le barème est géré par des scripts perl, si j'ai bien  compris les explications fournies par l'auteur, et les questions doivent être 
indépendantes afin d'associer un  score à un identifiant de question.

02/20/2017 04:55 pm - DENIS Sébastien
Bonjour
je reviens sur le probleme de la commande explain. Je vous avais dit que ca marchait mais je me suis trompe. est-ce qu'il faut bien remplacé 
"correchead" par "correc"? ligne 976 il s'affiche "correchead%" et non "correchead*". Ai je bien effectué la bonne manipulation?

Une autre question: je suis en train de me pencher sur les compétences que l'on rajoute aux questions. J'ai trouvé un ou deux sujets avec des 
exemples mais je n'arrive pas bien a comprendre le fonctionnement.
Donc: 
les compétences sont bien validées par le professeur lorsqu'il corrige (comme des questions ouvertes)
les compétences sembles etre notées dans le corrigé comme une question. Y a til un moyen de les compter sans les noter
Y a til un moyen de lister les compétences acquises ou non ou alors de compter les questions qui traitent de la meme compétence et de compter alors 
le nombre de fois ou la dite compétence a été validée.
Est ce que vous n'auriez pas un exemple clair traitant de ce sujet à me faire parvenir?

Une dernière question: N'y a t'il pas un endroit du site ou l'on peut poster et aussi récupérer des qcm pour qu'ils servent à d'autres?

@ Gérard Carpeaux: je vous félicite pour les sujets que vous créez. Ils sont devenus la base de mes qcm que je crée actuellment (je suis prof de 
physique en lycée)

02/20/2017 07:12 pm - Frédéric Bréal
> correchead" par "correc"? ligne 976 il s'affiche "correchead%" et non "correchead*
Tout à fait, c'est une erreur de frappe de ma part, voici le fichier sty à partir de la ligne 955

<pre>
\newcommand{\explain}[1]{ %
\ifAMC@correc %
  \AMCif@env{question}{\par\noindent{\AMC@loc@explain #1}}{\AMC@error@explain}\vspace{1ex} %
\else %
  \AMCif@env{question}{}{\AMC@error@explain}%
\fi %
}
</pre>
> les compétences sont bien validées par le professeur lorsqu'il corrige (comme des questions ouvertes)
Oui
> les compétences sembles etre notées dans le corrigé comme une question. Y a til un moyen de les compter sans les noter
Oui la commande est @\QuestionIndicative@
> Y a til un moyen de lister les compétences acquises ou non ou alors de compter les questions qui traitent de la meme compétence et de compter 
alors le nombre de fois ou la dite compétence a été validée.
C'est une de mes idées mais je n'ai pas de connaissances informatiques alors je tâtonne. J'ai réussi une fiche pour cette année mais mon souhait 
serait de tout automatiser.
> Est ce que vous n'auriez pas un exemple clair traitant de ce sujet à me faire parvenir?
Si, il faut juste que je le nettoie pour ne laisser que ce qui vous intéresse et le modifier un peu car je fais des sujets pré-remplis. 
> N'y a t'il pas un endroit du site ou l'on peut poster et aussi récupérer des qcm pour qu'ils servent à d'autres?
Pas sur ce site mais "ici":http://project.auto-multiple-choice.net/boards/4/topics/4899 deux collègues ont mis en place un partage. Pour l'instant je ne 
suis pas inscrit car il faut que je nettoie mes préambules.

> @ Gérard Carpeaux: je vous félicite pour les sujets que vous créez.
Merci,

Je vous propose de continuer vos questions sur le forum, ce sera plus simple pour ceux que cela intéresse.

Pour A. Bienvenüe : pouvez-vous déplacer tous ces messages dans le forum ?
Merci

02/20/2017 08:02 pm - DENIS Sébastien
Un grand merci pour votre réponse rapide
Je vais regarder pour poster désormais sur le forum
Et puis je vais aller seriner un collegue prof de maths qui touche sa bille en latex.
J'aimerai bien avoir une système de compétence entierement automatisé
encore merci

02/20/2017 09:38 pm - Frédéric Bréal
Avez-vous regardé le wiki français ?
Il y a un fichier (Wiki_AMC-Tableau-resume-competence.tex) que j'ai déposé suite à une discussion sur le forum.

De toute façon, je vous enverrai mon nouveau modèle et le mettrai aussi en wiki.

02/22/2017 01:44 pm - DENIS Sébastien
Merci je suis en train de le consulter
(et merci pour l'aide dans le bareme \respect consigne

02/22/2017 02:29 pm - DENIS Sébastien
Je viens de comprendre une chose: le corrigé n'apparait pas sur les corrections individuelles
Du coup: comment les transmettre aux étudiants?
Elles apparaissent dans doc-indiv-solution.pdf. si je fais une pré-association avec les noms des étudiants, le nom apparait dans chaque corrigé 
individuel.Je peux donc facilement transmettre la correction en envoyant par mail ou en partageant sur le réseau du lycée le fichier complet.
Mais y a t-il une solution simple pour distribuer les corrections aux élèves si je fais une reconnaissance manuelle ou si j'utilise un code d'identification 
d'étudiant? En effet je ne vois que le codage de la copie comme moyen ce qui est un peu compliqué
Merci
Sébastien Denis

02/22/2017 02:37 pm - DENIS Sébastien
En relisant il semblerait que la méthode que vous m'avez indiquée fonctionne... mais je dois rater un truc. pourtant j'ai bien fait la modification
bizarre..

02/22/2017 05:10 pm - Frédéric Bréal
"ici":http://project.auto-multiple-choice.net/boards/4/topics/5032 mon fichier modèle nouvelle formule avec en commentaire l'explication de ma 
démarche.

03/02/2017 09:00 pm - DENIS Sébastien
- File groupes.tex added

- File DOC-sujet.pdf added

- File ExempleCodage.eps added

- File listetest.csv added

Bonjour
de retour sur le site..
avec des questions.. encore et toujours! Je vais essyaer d'etre concis....et surtout clair!
J'ai joins un fichier sur un test puissance de dix et notation scientifique pour des secondes (je vais le reprendre car j'ai depuis decouvert votre 
newcommand \AAC) au cas ou ca interresse quelq'un
Donc
- si je fais la meme interro pour plusieurs classes; dois-je créer autant de dossier projet? ou alors est-il possible d'imprimer autant de sujet à partir d'un 
gros fichier csv contenant toutes les classes  avec une impression ""ordonnée"" par classe (car je pense faire comme vous dorénavant cad distribuer 
des copies avec les noms prénoms déja remplis)
- pour le moment j'imprime 4 fois un sujet de 25 copies pour mes 4 classes de 2de(reconnaissance manuelle); je supprime tous les fichiers dans /cr 
/data et/export, pourtant lorsque je lance une nouvelle reconnaissnce pour la classe suivante, AMC identifie les copies avec les noms de la classe 
précédente?? quel autre fichier faut il supprimer ou y a t il une manip a effectuer?
- pour les corrections: c'est le flou... d'ou:
   1 y a t il un moyen de faire apparaitre les corrections dans "annoter les copies" avec "avec sujet corrigé"
   2 dans fe fichier pdf DOC-indiv-solution.pdf y a t il un moyen de fractionner de fichiers en fichiers individuels (ce qui motive mon choix de copies avec 
nom prénom préremplis car ils apparaissennt dans ce fichier pdf) et de renommer ces fichiers avec le nom prénom des élèves?

ci dessous une aautre forme de votre motivant \AAC: il affiche automatiquement le choix du signe si nbre<0 et laisse le choix si nbre>0 ; on peut aussi 
choisir le nombre de digit a rajouter (#8) et il y a toujours possibilité de rajouter un nombre de décimales supplémentaires (#`) (j'ai rajouté dans 
amcnumericchoices la commande "strict=false" pour permettre de mettre à 0 les cases non codées (l'intéret réside dans la précision de la mesure du 
chiffre à coder)

<pre>
\newcommand{\AACP}[9]{ %
\StrLeft{#1}{1}[\digitUn]%recupere dans \lesigne la valeur du premier chiffre
\IfStrEq{\digitUn}{-}{\def\led{true}\FPeval\otDigitSigne{clip(1)}}%si premier chiffreest - sign=true otDigitSigne pour le pas oter le digit du signe dans \len
{\def\led{#6}\FPeval\otDigitSigne{clip(0)}}% dans AMCnumeric sinon garde le choix indiqué par #6
 \IfInteger{#1}%si le nombre est entier
  {\StrLen{#1}[\Len]\FPeval\chiffres{clip(\Len +#7 + #8 - \otDigitSigne)}\FPeval%
  \decimales{clip(#7)}}%-> Accolade du vrai du si
{\StrLen{#1}[\Len]\StrPosition{#1}{.}[\Position]\FPeval\chiffres{clip(\Len -1 + #7 + #8 - \otDigitSigne)}\FPeval\decimales{clip(\Len - \Position + 
#7)}}%->accolade du faux si

\AMCnumericChoices{#1}{digits=\chiffres,decimals=\decimales,exact=#2,scoreexact=#3,approx=#4,scoreapprox=#5,sign=\led,vertical=#9,borderwidth=
.2mm,%
bordercol=gray,hspace=.2ex,vspace=0em,reverse=false,strict=false,Tpoint={\Large$\prime$\vspace*{-.1em}}%
}
\def\nomdemavariable{valeur}
\num{#1}
}%->accolade de la commande>accolade de la commande
</pre>

Avec

\AACP{-555.2222}{1}{1}{2}{.5}{true}{2}{2}{false}%valeur | distance exact| point| distanceapprox |point| signe si positif| ajout decimal | ajout de digit 
|affichage vertical si true

je le mets la car je sais pas publier sur le wiki....... je vais essayer de faire un truc du meme style pour les nombres en notation scientifique
d'ou ma dernière question: comment on publie sur le wiki et comment créer un dossier pour partager les ressources..
Très cordialement

Et un merci infini pour tous les exemples et sources que vous publiez ainsi que pour le temps que vous prenez à me répondre
ps: je me penche un peu sur votre exemple "compétences" mais je galère un peu: je n'arrive pas à récuperer des données depuis le fichier ods je vais 
essayer depuis le csv
ce qui me fait penser à une dernière question: je ne comprens pas à quoi sert amcstudentlabel.. il me renvoie des numéros de pages quand je 
l'appelle!!

03/02/2017 09:10 pm - DENIS Sébastien
- File groupes.tex added

- File ExempleCodage.eps added

- File listetest.csv added

Bon... c'est quelque part dans le fichier.. il faut rajouter le fichier ExempleCodage.eps dans un dossier /Images du dossier projet et bien sur listetes 
dans le dossier projet

03/02/2017 09:23 pm - DENIS Sébastien
- File strict.tex added

Je viens de trouver un moyen de coder automatiquement le paramètre strict dans AMCnumeric choices: il est sur true si on ne rajoute pas de 
décimales ou de digit unité supplémentaires et sur false le cas échéant

03/03/2017 09:37 am - Frédéric Bréal
- File groupes.tex added

> d'imprimer autant de sujet à partir d'un gros fichier csv 
Tout à fait, j'ai un fichier csv par niveau. L'avantage de la copie pré-remplie c'est qu'il reste la copie de l'élève absent avec son nom.

> apparaitre les corrections dans "annoter les copies" avec "avec sujet corrigé
Je ne suis pas sûr de comprendre. Les corrections sont sur le pdf correction-indiv et les annotations sur la copie de l'élève. Si vous souhaitez voir les 
deux ensemble, il faut être en mode ensemble (feuille de réponses séparée) et choisir une des options (voir documentation 6.9.1 options proposées en 
mode ensemble) sinon vous pouvez le demander en ajout à M. Bienvenüe en créant une demande type feature.

>  dans fe fichier pdf DOC-indiv-solution.pdf y a t il un moyen de fractionner de fichiers en fichiers individuels (ce qui motive mon choix de copies avec 
nom prénom préremplis car ils apparaissent dans ce fichier pdf) et de renommer ces fichiers avec le nom prénom des élèves?
avec pdftk, la commande grep... et c'est tout ce que je peux répondre. C'est une idée que j'avais plus ou moins 
"eue":http://project.auto-multiple-choice.net/boards/4/topics/2554?r=4903#message-4903 mais que je n'ai pas approfondie. 

> comment on publie sur le wiki
Comme sur le forum, une fois connecté,il faut cliquer sur nouveau fichier. Par contre, on ne peut pas écrire, juste une petite description du fichier

>je ne comprens pas à quoi sert amcstudentlabel
J'ai rajouté du code dans le sujet pour que vous compreniez : lignes 36, 104 à 108, 160,167, 174, 181, 188

> la mise en page a sauté!! je le remets

C'est à cause des symboles { et %, ils ne doivent pas être collés mais séparés { %. Je me suis fait avoir aussi.

03/07/2017 05:53 pm - DENIS Sébastien
- File groupes.tex added

Bonsoir
Merci pour vos réponses
Je n'ai pas trouvé ce que vous aviez ajouté comme code dans le sujet (ligne 34 104 etc). s'agit-il du sujet que vous avez joint ou celui du wiki? En tout 
cas je n'ai rien vu dans les deux
Une petite question: j'ai fait un devoir sur la distillation en ajoutant un dessin avec le package pst-labo : la compilation s'effectue bien mais lorsque je 
mets à jour les documents avec amc il m'affiche "Undefined control sequence."
Cela vient-il du package pst-labo? Peut on l'utiliser avec amc?
Je vous joint le fichier au cas ou
Cordialement
Sébastien Denis

03/07/2017 06:43 pm - Frédéric Bréal
> Je n'ai pas trouvé ce que vous aviez ajouté comme code dans le sujet (ligne 34 104 etc)
Non il s'agit du fichier du message 18
<pre>
\textbf{L'ordre des labels des 
\cref{\AMCstudentlabel{Voc4},\AMCstudentlabel{Voc2},\AMCstudentlabel{Voc4},\AMCstudentlabel{Voc3},\AMCstudentlabel{Voc1},\AMCstudentlabel{V
oc5}} n'a pas d'importance car le paquet cref range dans l'ordre croissant.}

\textbf{Pour les \cref{\AMCstudentlabel{Voc4},\AMCstudentlabel{Voc2},\AMCstudentlabel{Voc4},\AMCstudentlabel{Voc3},\AMCstudentlabel{Voc1}} la 
commande AMCBoxOnly me semble inadaptée. C'est plutôt lorsqu'on utilise le mode ensemble.}

\textbf{La \cref{\AMCstudentlabel{Voc5}} est une question multiple.}

</pre>

> Cela vient-il du package pst-labo? 
non
> Peut on l'utiliser avec amc? 
oui, il faut paramétrer le moteur de compilation 
* soit de façon permanente Edition -> Préférences -> Général -> Moteur par défaut _latex+dvipdf_ (uniquement si vous pensez utilisez très souvent 
pstricks au lieu de tikz)
* soit de façon ponctuelle  Edition -> Préférences -> Projet ->Moteur Latex -> latex + dvipdf

03/07/2017 07:12 pm - DENIS Sébastien
- File Capture_du_2017-03-07_21-09-44.png added

Merci pour votre réponse rapide
Je ne comprends pas quelque chose: je fais la manip que vous m'avez indiqué mais lorsque je valide il ne garde pas en memoire le compilateur latex 
choisi!!?? (cf capture ci jointe)
pourtant je valide...
Sinon dans le message 18 il y a un fichier que j'avais joint  (strict.tex) mais je ne vois rien. Est ce bien cette file de message
Encore merci

03/07/2017 07:38 pm - Frédéric Bréal
Le message 18 d'il y a 4 jours qui commence par 
> > d'imprimer autant de sujet à partir d'un gros fichier csv 
> Tout à fait, j'ai un fichier csv par niveau. L'avantage de la copie pré-remplie c'est qu'il reste la copie de l'élève absent avec son nom.
Le fichier s'appelle groupe aussi.

> Je fais la manip que vous m'avez indiqué mais lorsque je valide il ne garde pas en memoire le compilateur latex choisi!!?
Je n'ai pas d'autres idées que celles-ci : fermer AMC et de le rouvrir ou  modifier juste pour projet.

03/07/2017 07:48 pm - DENIS Sébastien
CA MAAAARCHE!!
je vous remercie énormément pour toutes vos indications
j'ai retrouvé  le fichier
très cordialemnt

03/07/2017 07:55 pm - DENIS Sébastien
Au cas ou vous seriez interéssé: 2 randoms sur deus valeurs et un label qui identifie la plus petite, un autre la plus grande

\element{distillation2}{
 \begin{question}{dist2}\decoone
  \FPeval\DeciU{trunc(1 + random,3)}
  \FPeval\DeciD{trunc(1 + random,3)}
  \FPmin{\lemin}{\DeciD}{\DeciU}
  \IfEq{\DeciU}{\DeciD}{\def\temp{\DeciU}\FPeval\DeciU{trunc(\temp + random,3)}}{}
  \IfEq{\lemin}{\DeciU}{\def\moinsdense{liquide A}\def\plusdense{liquide B}} %
  {\def\moinsdense{liquide B}\def\plusdense{liquide A}}
   Soient deux liquides $A$ et $B$ non miscibles de densité respective %
   $d_A=\num{\DeciU}$ et $d_B=\num{\DeciD}$. Lequel surnage?\\ %
   Ici 2 nombres aléatoires sont générés. On trouve le plus petit %
   et on lui affecte un label pour le manipuler.\\
   Le premier: \DeciU\\
   Le deuxième: \DeciD\\
   Le mini: \lemin\\
   Le label du mini: \moinsdense\\
   Le label du maxi: \plusdense
    \begin{reponses}
	 \bonne{Le \moinsdense ~surnage le \plusdense}
   	 \mauvaise{Le \plusdense ~surnage le \moinsdense}
    \end{reponses}
 \end{question}
}

Cordialement

10/13/2017 04:30 pm - Alexis Bienvenüe
- Status changed from New to Feedback

- File subject.pdf added

- File expo.tex added

À partir de la révision commit:5dfade6a0bba, il y a des nouvelles options à @AMCnumericChoices@ pour la notation scientifique.
Voir les fichiers attachés pour un exemple.

10/13/2017 04:31 pm - Alexis Bienvenüe
- Target version set to 1.4.0

10/13/2017 05:21 pm - Frédéric Bréal
Bonjour,

Bravo et merci pour cette nouveauté. Je n'ai pas encore mis à jour AMC et j'ai du mal à lire le bitbucket donc deux questions que d'autres se poseront 
peut-être :

* Comment fonctionne @exact=1,scoreexact=1,approx=2,scoreapprox=.5@ ? Est-ce que chaque partie (entière et exposant) est considérée comme 
indépendante ?
* Est-il possible de mettre des valeurs non entières dans la partie exposant ? J'ai vu ceci <pre>\def\AMCexponent{text}</pre> qui permettrait d'évaluer 
aussi les chiffres significatifs du type _1,25 +- 0,12_

Hors-sujet : j'ai bien reçu une notification par mail.

Merci pour votre travail.

10/13/2017 09:17 pm - Alexis Bienvenüe
> Comment fonctionne @exact=1,scoreexact=1,approx=2,scoreapprox=.5@ ? Est-ce que chaque partie (entière et exposant) est considérée comme 
indépendante ?
Je vais prendre un exemple. Supposons que la réponse correcte est 1,23×10^5. AMC va enlever la virgule pour obtenir le nombre entier cible : 123.
* Si l'étudiant code 1,24×10^5, on doit comparer 124 à 123 : la différence entre la bonne réponse et la réponse de l'étudiant est |124-123|=1. Si on a 
choisi @exact=1@, la différence est inférieure ou égale à @exact@ donc l'étudiant remporte les points @scoreexact@ (ici 1 pt).
* Si l'étudiant code 1,25×10^5, on doit comparer 125 à 123 : la différence entre la bonne réponse et la réponse de l'étudiant est |125-123|=2. Il n'a pas 
les points de @scoreexact@ mais la différence est inférieure ou égale à @approx@ donc l'étudiant remporte les points @scoreapprox@ (ici 0.5 pts).
* Si l'étudiant code 1,23×10^6, AMC tient compte de la différence dans l'exposant, et fait comme si l'étudiant avait entré 12,30×10^5 : la différence est 
ici |1230-123|=1107, donc pas de points.
> qui permettrait d'évaluer aussi les chiffres significatifs du type 1,25 +- 0,12
A priori c'est vraiment fait pour la saisie d'un seul nombre sous la forme scientifique, et il n'est pas (encore) prévu que l'on puisse mettre des nombres à 
virgule sur l'exposant.
Quel barème souhaiteriez-vous appliquer pour ce genre de question ? Ne serait-ce pas plus simple de décomposer en deux sous-questions 
indépendantes, l'une pour la valeur et l'autre pour l'incertitude ?
10/14/2017 10:56 am - Frédéric Bréal
Merci pour l'exemple, je m'en servirai pour répondre aux questions éventuelles sur le forum voire de le mettre en exemple dans la doc si la question 
revient souvent.

> Ne serait-ce pas plus simple de décomposer en deux sous-questions indépendantes, l'une pour la valeur et l'autre pour l'incertitude ?
C'était ma première idée avant cette nouveauté (voir message 2 du post).
C'est en voyant votre exemple (fichier pdf) et la commande @\def\AMCexponent{text}@ que je me suis posé cette question. Plus pour les collègues en 
lycée qu'en collège (mon cas).
Merci

10/29/2017 11:46 am - Frédéric Bréal
Le fichier tex ne fonctionne pas sous ubuntu 16.04 32 bits mais sous ubuntu 17.04 32 bits (sous virtualbox).
Est-ce lié à l'évolution de Texlive , ubuntu ? J'ai l'erreur suivante :

<pre>
! Number too big.
<argument> 41
81
l.57 }
I can only go up to 2147483647='17777777777="7FFFFFFF,
</pre>

Merci

10/29/2017 02:03 pm - Alexis Bienvenüe
Je dirais que cela doit venir d'une évolution de texlive. Pouvez-vous essayer avec des calculs moins extrêmes que exp(-100), exp(100)… ?

10/29/2017 02:51 pm - Frédéric Bréal
- File AMC-DEBUG-ybbEE97D.log added

Même constat, le sujet simple

<pre>
\documentclass[a4paper]{article}
\usepackage{fp}
\usepackage{multicol}
\usepackage[indivanswers,insidebox]{automultiplechoice}
\begin{document}

\AMCnumericOpts{scoreexact=5,approx=15,scoreapprox=3}

\onecopy{1}{

  \hspace*{\fill}\namefield{\fbox{
      \begin{minipage}{15em}
        Name and surname:\vspace*{3ex}\par
        \noindent\dotfill\vspace{2mm}
      \end{minipage}
    }}
  \begin{center}
    \bf\Large Questions
  \end{center}

    \begin{questionmultx}{scientific}
    How much is $9.97\times10^{2}$?

    \AMCnumericChoices{9.97e2}{ %
      digits=3,decimals=2,exponent=1,expovertical,
      sign=false,exposign=false
    }

  \end{questionmultx}

}

\end{document}

</pre>

11/02/2017 02:24 pm - Alexis Bienvenüe
> Error: number too large,some digits will be discarded...
Avec ce calcul plus simple, ce n'est plus la même erreur. Cet autre problème vient également d'une évolution de @l3fp@ (calculs en LaTeX3).
J'ai essayé d'adapter le code aux différentes versions de @l3fp@ avec la révision commit:098578f89993 (mais cela ne corrige pas la première erreur 
avec exp(100)).

03/06/2018 09:29 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100
